$addUser_CentOS = <<-SCRIPT
sudo adduser  devops
sudo chpasswd <<<"devops:devops"
sudo usermod -aG wheel devops
sudo systemctl enable firewalld
sudo systemctl start firewalld
sudo firewall-cmd --zone=public --add-port=22/tcp --permanent
sudo firewall-cmd --zone=public --add-port=22/udp --permanent
sudo firewall-cmd --reload 
sudo mkdir -p /home/devops/.ssh
sudo chmod 700 /home/devops/.ssh
sudo chown devops:devops /home/devops/.ssh
sudo reboot
SCRIPT

$scriptAnsible = <<-SCRIPT
    sudo fuser -vki  /var/lib/dpkg/lock
    sudo rm -f /var/lib/dpkg/lock
    sudo dpkg --configure -a
    sudo apt-get autoremove
    sudo apt upgrade -y
    sudo apt update    
    sudo apt-add-repository ppa:ansible/ansible
    sudo apt update
    sudo apt install ansible -y
    sudo apt update
SCRIPT
Vagrant.configure("2") do |config|
    config.vm.define "ansible-poc" do |ansible|
        ansible.vm.box = "ubuntu/bionic64"
        ansible.vm.hostname= "ansible-poc"
        ansible.vm.provider "virtualbox" do |vm|
          vm.memory = 1024
          vm.cpus = 1
          vm.name = "ansible-poc"
        end
        ansible.vm.network "private_network", ip: "192.168.56.10"
        ansible.vm.provision "shell", inline: $scriptAnsible
        ansible.vm.synced_folder "./shared_folder",  "/vagrant", type: "nfs"
    end
    config.vm.define "mongo-primary" do |mongo|
        mongo.vm.box = "centos/7"
        mongo.vm.hostname= "mongo-primary"
        mongo.vm.provider "virtualbox" do |vm|
          vm.memory = 1024
          vm.cpus = 1
          vm.name = "mongo-primary"
          vm.customize ["modifyvm", :id, "--nested-hw-virt", "on"]
        end
        mongo.vm.network "private_network", ip: "192.168.56.20"
        mongo.vm.provision "shell", inline: $addUser_CentOS
        mongo.vm.synced_folder "./",  "/vagrant", type: "rsync"
      end
      config.vm.define "mongo-secundary" do |mongo|
        mongo.vm.box = "centos/7"
        mongo.vm.hostname= "mongo-secundary"
        mongo.vm.provider "virtualbox" do |vm|
          vm.memory = 1024
          vm.cpus = 1
          vm.name = "mongo-secundary"
          vm.customize ["modifyvm", :id, "--nested-hw-virt", "on"]
        end
        mongo.vm.network "private_network", ip: "192.168.56.21"
        mongo.vm.provision "shell", inline: $addUser_CentOS
        mongo.vm.synced_folder "./",  "/vagrant", type: "rsync"
      end
      config.vm.define "mongo-arbiter" do |mongo|
        mongo.vm.box = "centos/7"
        mongo.vm.hostname= "mongo-arbiter"
        mongo.vm.provider "virtualbox" do |vm|
          vm.memory = 1024
          vm.cpus = 1
          vm.name = "mongo-arbiter"
          vm.customize ["modifyvm", :id, "--nested-hw-virt", "on"]
        end
        mongo.vm.network "private_network", ip: "192.168.56.22"
        mongo.vm.provision "shell", inline: $addUser_CentOS
        mongo.vm.synced_folder "./",  "/vagrant", type: "rsync"
      end

end